"""Config for Sherlock."""

# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/02_config.ipynb.

# %% auto 0
__all__ = ['SherlockConfig', 'get_cfg', 'save_cfg']

# %% ../nbs/02_config.ipynb 3
from fastcore.all import *
from fastcore.xdg import *
from typing import get_type_hints
from dataclasses import dataclass

# %% ../nbs/02_config.ipynb 4
@dataclass
class SherlockConfig:
    priv: str = ''  # private key (hex)

def _cfg_path(): return xdg_config_home() / 'sherlock' / 'sherlock.conf'

def get_cfg():
    "Get config from XDG config dir, creating if needed"
    path = _cfg_path()
    path.parent.mkdir(parents=True, exist_ok=True)
    _types = get_type_hints(SherlockConfig)
    return Config(path.parent, path.name, create=asdict(SherlockConfig()),
                 types=_types, inline_comment_prefixes=('#'))


# %% ../nbs/02_config.ipynb 7
def save_cfg(cfg: dict):
    "Save config to file"
    path = _cfg_path()
    path.parent.mkdir(parents=True, exist_ok=True)
    save_config_file(path, cfg)

